org.apache.hadoop.hdfs.security.token.delegation

## Class DelegationTokenSecretManager.SecretManagerState

- java.lang.Object
- - org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenSecretManager.SecretManagerState

- Enclosing class:
    org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenSecretManager

      public static class DelegationTokenSecretManager.SecretManagerState
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<FsImageProto.SecretManagerSection.DelegationKey>` | `keys`
    `FsImageProto.SecretManagerSection` | `section`
    `List<FsImageProto.SecretManagerSection.PersistToken>` | `tokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretManagerState(FsImageProto.SecretManagerSection s, List<FsImageProto.SecretManagerSection.DelegationKey> keys, List<FsImageProto.SecretManagerSection.PersistToken> tokens)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### section

          public final FsImageProto.SecretManagerSection section

    - #### keys

          public final List<FsImageProto.SecretManagerSection.DelegationKey> keys

    - #### tokens

          public final List<FsImageProto.SecretManagerSection.PersistToken> tokens

  - ### Constructor Detail

    - #### SecretManagerState

          public SecretManagerState(FsImageProto.SecretManagerSection s,
                                    List<FsImageProto.SecretManagerSection.DelegationKey> keys,
                                    List<FsImageProto.SecretManagerSection.PersistToken> tokens)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.